resource "digitalocean_droplet" "this" {
  backups    = "true"
  backup_policy {
    plan    = var.backup_policy_plan
    weekday = var.backup_policy_weekday
    hour    = var.backup_policy_hour
  }
  image      = var.image_name
  ipv6       = "true"
  lifecycle {
    ignore_changes = [
      image,
    ]
  }
  monitoring = "true"
  name       = "${var.host_name}.${var.domain_name}"
  region     = var.region
  ssh_keys   = var.ssh_keys
  size       = var.size
  tags       = var.tags
  vpc_uuid   = var.use_vpc > 0 ? data.digitalocean_vpc.this[0].id : null
}
